Subject: Re: Natsemi DP83815 driver spaming

From: Rafał Bilski <[email-masked]>
Date: Tue, 01 May 2007 21:10:30 +0200

>> eth0: Media selection timer tick.
>> eth0: possible phy reset: re-initializing
> 
> This is why the reset is being triggered - it's a workaround for a hardware
> bug which checks to make sure the hardware is in the state that the
> kernel thinks it is is going off.  The code has this explanatory comment:
> 
>  * 2) check for sudden death of the NIC:
>  *    It seems that a reference set for this chip went out with incorrect info,
>  *    and there exist boards that aren't quite right.  An unexpected voltage
>  *    drop can cause the PHY to get itself in a weird state (basically reset).
>  *    NOTE: this only seems to affect revC chips.

Yes. I have revision C chip.
 
> I'd suggest checking your power supply as a first step.

5,25V when not connected. 5,04V when connected to Wyse. I don't have access to 
osciloscope.
I will check if this code is nedded. If it is then I will try to get new power 
supply.
 
> [BTW, as Andrew said please don't drop people from the CC.]
OK. Will not happen again.

Rafał

----------------------------------------------------------------------
Kasia Cichopek eksponuje biust  
>>> http://link.interia.pl/f1a6f